mutex.h(3)

NAME
mutex.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <Inventor/C/threads/common.h>

  Functions
cc_mutex * cc_mutex_construct (void)
void cc_mutex_destruct (cc_mutex *mutex)
void cc_mutex_lock (cc_mutex *mutex)
int cc_mutex_try_lock (cc_mutex *mutex)
void cc_mutex_unlock (cc_mutex *mutex)

Function Documentation

  cc_mutex * cc_mutex_construct (void)
Constructs a mutex.

  void cc_mutex_destruct (cc_mutex * mutex)
Destroys the mutex specified.

  void cc_mutex_lock (cc_mutex * mutex)
Locks the mutex specified.

  int cc_mutex_try_lock (cc_mutex * mutex)
Tests the specified mutex to see it is already locked.

  void cc_mutex_unlock (cc_mutex * mutex)
Unlocks the specified mutex.

Author

Generated automatically by Doxygen for Coin from the source code.